Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.batchext
Class FtpETD

    java.lang.Object
      com.stc.eways.batchext.FtpETD

Direct Known Subclasses:
  BatchFtp

    public class FtpETD

extends java.lang.Object

This class represents the implementation of FTP ETD.

Version:
  cvs revision: $Revision: 1.12 $ Last Modified: $Date: 2008/03/04 03:05:51 $
Author:
  Harry Liu, jim.fu@sun.com

Constructor Summary
`FtpETD()` Constructs a new FTP Otd object.
`FtpETD(com.stc.connector.appconn.common.ApplicationConnectionFactory acf, java.lang.String collabOID, java.lang.String connName, java.lang.String etdClassName)`

Method Summary
`com.stc.connector.appconn.common.ApplicationConnection` | `getApplication()`
`FtpFileClient` | `getClient()`
`FtpFileConfiguration` | `getConfiguration()`
`com.stc.connector.management.util.ObjectReference` | `getMonitor()`
`FtpFileProvider` | `getProvider()`
`FtpFileETDState` | `getState()` Gets a FTP state instance.
`com.stc.eways.common.eway.standalone.statemanager.StateManager` | `getStateManager()` Gets a state manager instance.
`void` | `initialize(java.util.Properties p)`
`boolean` | `isStateChanged()`
`boolean` | `reset()`
`void` | `setClient(FtpFileClient client)`
`void` | `setConfiguration(FtpFileConfiguration cfg)`
`void` | `setProvider(FtpFileProvider provider)`
`void` | `setStateChanged(boolean newStateChanged)`
`void` | `terminate()` Terminates the FTP ETD and closes the external connection if the ETD is NOT in a sub-collaboration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FtpETD

    public FtpETD()

  Constructs a new FTP Otd object.

### FtpETD

    public FtpETD(com.stc.connector.appconn.common.ApplicationConnectionFactory acf,
                  java.lang.String collabOID,
                  java.lang.String connName,
                  java.lang.String etdClassName)

Method Detail

### initialize

    public void initialize(java.util.Properties p)
                    throws BatchException,
                           BatchCFGException

  Throws:
    `BatchException`
    `BatchCFGException`

### reset

    public boolean reset()
                  throws BatchException

  Throws:
    `BatchException`

### terminate

    public void terminate()
                   throws BatchException

  Terminates the FTP ETD and closes the external connection if the ETD is NOT in a sub-collaboration. If the ETD is in a sub-collaboration, you must release the resources used in the sub-collaboration, but do not close the external connection.

  Throws:
    `BatchException` - If some error occurs.

### getConfiguration

    public FtpFileConfiguration getConfiguration()

### setConfiguration

    public void setConfiguration(FtpFileConfiguration cfg)

### getClient

    public FtpFileClient getClient()

### getProvider

    public FtpFileProvider getProvider()

### setClient

    public void setClient(FtpFileClient client)

### setProvider

    public void setProvider(FtpFileProvider provider)

### getStateManager

    public com.stc.eways.common.eway.standalone.statemanager.StateManager getStateManager()

  Gets a state manager instance.

  Returns:
    The state manager.

### getState

    public FtpFileETDState getState()
                             throws FtpFileException

  Gets a FTP state instance.

  Returns:
    The FTP state.
  Throws:
    `FtpFileException`

### isStateChanged

    public boolean isStateChanged()

### setStateChanged

    public void setStateChanged(boolean newStateChanged)

### getMonitor

    public com.stc.connector.management.util.ObjectReference getMonitor()

### getApplication

    public com.stc.connector.appconn.common.ApplicationConnection getApplication()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD